org.apache.sling.crankstart.core

## Class CrankstartFileProcessor

- java.lang.Object
- - org.apache.sling.crankstart.core.CrankstartFileProcessor

All Implemented Interfaces:
  Callable<Object>

    public class CrankstartFileProcessor
    extends Object
    implements Callable<Object>

Process a crankstart file

### Constructor Summary

Constructors
Constructor and Description
`CrankstartFileProcessor()`
`CrankstartFileProcessor(org.apache.sling.crankstart.api.CrankstartContext ctx)`

### Method Summary

Methods
`Object` `call()`
`void` `process(Reader input)`
`void` `waitForExit()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CrankstartFileProcessor

    public CrankstartFileProcessor()

#### CrankstartFileProcessor

    public CrankstartFileProcessor(org.apache.sling.crankstart.api.CrankstartContext ctx)

### Method Detail

#### call

    public Object call()
                throws Exception

Specified by:
  `call` in interface `Callable<Object>`
Throws:
  `Exception`

#### process

    public void process(Reader input)
                 throws Exception

Throws:
  `Exception`

#### waitForExit

    public void waitForExit()
                     throws InterruptedException

Throws:
  `InterruptedException`